#!/bin/sh

product_name=`tbproduct`

if [ "$product_name" == "TMG800V4" ]; then
  ifname="mgmt0"
  vlan_name="mgmt0.vlan"
elif [ "$product_name" == "TMG3200V4" ]; then
  ifname="int0"
  vlan_name="int0.vlan"
else
  logger "tbvlanbeacon: Unexpected product name"
  exit 1
fi

/usr/sbin/tbvlanbeacon -d -r baseboard -s /etc/tbvlanbeacon.hook -m $vlan_name $ifname
